/*
 *  rectangle.cpp
 *  emptyExample
 *
 *  Created by Justin Blinder on 9/9/10.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */

#include "rectangle.h"

rectangle::rectangle()
{	
	//setup particle speed, color and size
	catchUpSpeed = ofRandom(0.04f,0.08f);
 	r,g = ofRandom(100, 255);

	b = 50;
	s = ofRandom(2,4);
}

void rectangle::draw()
{
	//draw particle
	ofFill();
	ofSetRectMode(OF_RECTMODE_CENTER);
    ofSetColor(0,0,0);
    ofCircle(pos.x, pos.y, s);
}


void rectangle::followMouse(float  mouseX, float mouseY)
{
	//calulate current particle position
	pos.x = catchUpSpeed * mouseX + (1-catchUpSpeed) * pos.x;
	pos.y = catchUpSpeed * mouseY + (1-catchUpSpeed) * pos.y;
}